var fidgetrTimeoutId = 0;
var username_fidgetr;
var spinner;
var return_element;
var photoset_select;
jQuery(document).ready(function() {
	jQuery('.fidgetr_username').live('keyup',function() {
		if(jQuery(this).val() != '') {
			if(fidgetrTimeoutId) {
				clearTimeout(fidgetrTimeoutId);
			}
			username_fidgetr = jQuery(this).val();
			spinner = jQuery(this).closest('div.widget').find('img.ajax-feedback');
			return_element = jQuery(this).closest('div').find('.fidgetr_return');
			photoset_select = jQuery(this).closest('div').find('.fidgetr_photoset');
			fidgetrTimeoutId = setTimeout('nsidQuery(username_fidgetr)',800);
		}
	});
});

function nsidQuery(value) {
	spinner.css('visibility','visible');
	jQuery.post("admin-ajax.php", {
		action: 'fidgetr_user_check_ajax',
		cookie: encodeURIComponent(document.cookie),
		username: value
	},
	function(response) {
		//wp returns a 0 after all ajax calls for reasons that are beyond my
		//ability to comprehend.  let's strip it off.
		var truncated_response = response.substring(0, response.length - 1);
		if(truncated_response.match('green') != null) { //valid response is shown as green.  this is not a great hack...
			photosetQuery();
		}
		return_element.fadeOut();
		setTimeout('finishAjax(\''+escape(truncated_response) + '\')', 400);
	});
}

function finishAjax(response) {
	spinner.css('visibility','hidden');
	return_element.html(unescape(response));
	return_element.fadeIn();
}

function photosetQuery() {
	jQuery.post("admin-ajax.php", {
		action: 'fidgetr_photoset_fetch_ajax',
		cookie: encodeURIComponent(document.cookie),
		username: username_fidgetr
	},
	function(response) {
		//wp returns a 0 after all ajax calls for reasons that are beyond my
		//ability to comprehend.  let's strip it off.
		var truncated_response = response.substring(0, response.length - 1);
		photoset_select.html(truncated_response);
	});
}